package Misc::PMarkers;
use strict;
#################################################################################
# Ikonboard v3 by Jarvis Entertainment Group, Inc.
#
# No parts of this script can be used outside Ikonboard without prior consent.
#
# More information available from <ib-license@jarvisgroup.net>
# (c)2001 Jarvis Entertainment Group, Inc.
# 
# http://www.ikonboard.com
#
# Please Read the license for more information
#+-----------------------------------------------------------------+
#
# 
#
#################################################################################

BEGIN {
   require 'Lib/FUNC.pm';
}

my $std         = FUNC::STD->new();
my $output      = FUNC::Output->new();


sub new {
  my $pkg = shift;
  my $obj = {};
  bless $obj, $pkg;
  return $obj;
}


sub Process {
    my ($obj, $db) = @_;
    
    $std->Error( DB      => $db,
                 LEVEL   => 1,
                 STD     => $std,
                 MESSAGE => 'not_registered'
               ) unless $iB::MEMBER->{'MEMBER_ID'};


    $db->update( TABLE  => 'member_profiles',
                 ID     => $iB::MEMBER->{'MEMBER_ID'},
                 KEY    => $iB::MEMBER->{'MEMBER_ID'},
                 VALUES => { LAST_LOG_IN => time }
               );

    $output->redirect_screen( TEXT  => 'The Post Markers have been marked as read', URL => "");

}

1;


__END__
