#!/usr/bin/perl
package iB;



# READ THE UPGRADE.txt DOCUMENT BEFORE PROCEEDING!!



#+------------------------------------------------------------------------------------------------------
#| Ikonboard by Matthew Mecham [ v3.0 ]
#|
#| No parts of this script can be used outside Ikonboard without prior consent.
#| You must keep this header intact and all copyright links visable.
#| (c)2001 Ikonboard.com <http://www.ikonboard.com>
#|
#| Please Read the licence for more information.
#+------------------------------------------------------------------------------------------------------

$| = 1;
use strict;

BEGIN {
    $iB::PTH = '.';
    my $pgm = $0;
    $pgm =~s!\\!/!g;
    $pgm =~s/\A.*\.(cgi|pl)\Z/$1/g;
    unless (-e $iB::PTH.'/upgrade.'.$pgm) {
        foreach ($0, $ENV{'PATH_TRANSLATED'}, $ENV{'DOCUMENT_ROOT'}) {
            $_ =~ s!\\!/!g;
            $_ =~ s!upgrade\.(cgi|pl)!!i;
            if (-e $_ . '/upgrade.' .$pgm) { $iB::PTH = $_; last; }
        }
    }
    die "Cannot find path: $iB::PTH/upgrade.$pgm" unless (-e $iB::PTH.'/upgrade.'.$pgm);
    unshift (@INC, "$iB::PTH");
    unshift (@INC, "$iB::PTH/Data");
    unshift (@INC, "$iB::PTH/Sources");
    unshift (@INC, "$iB::PTH/Skin");
    unshift (@INC, "$iB::PTH/Languages");
    unshift (@INC, "$iB::PTH/Sources/Lib");
    use Benchmark;
    use CGI::Carp "fatalsToBrowser";
}
#+------------------------------------------------------------------------------------------------------
use CGI;
$iB::Q = new CGI;

use Boardinfo;
$iB::INFO = Boardinfo->new();

eval { iB::action(); };
die $@ if $@;

sub action {

    if ($iB::Q->param('HEHE') eq 'squidgy') {
        print $iB::Q->header();
        print $iB::Q->start_html();
        print "IT'S ALL SQUIDGY!!";
        print $iB::Q->end_html();
    }


    if ($iB::Q->param('CAPTAIN') eq 'Kirk') {

        iB::star_trek_sucks();

    } elsif ($iB::Q->param('CAPTAIN') eq 'Picard') {

        iB::star_trek_rules();

    } else {

        iB::bored();
    }
}



sub star_trek_sucks {
    print $iB::Q->header();
    print $iB::Q->start_html();
    print "It really does, plus Kirk wears a wig now";
    print $iB::Q->end_html();
}


sub star_trek_rules {


    my $OAP = Boardinfo->new();

    for my $over_grown_mushrooms (keys %{$OAP}) {
        $OAP->{$over_grown_mushrooms} =~ s:!:&#33;:g;
    }

    $OAP->{'EMOTICONS'} = q!:)|smile.gif|1|&|:(|sad.gif|1|&|:D|biggrin.gif|1|&|:p|tounge.gif|1|&|;)|wink.gif|1|&|???|confused.gif|1|&|:0|shocked.gif|1|&|:angry:|angry.gif|0|&|!;

    $OAP->{'MAX_IMAGES'}            ||= 10;
    $OAP->{'MAX_INTEREST_LENGTH'}   ||= 200;
    $OAP->{'MAX_LOCATION_LENGTH'}   ||= 200;
    $OAP->{'MAX_MESSAGES'}          ||= 40;
    $OAP->{'MAX_MSG_SIZE'}          ||= 40;
    $OAP->{'MAX_POST_LENGTH'}       ||= 75;
    $OAP->{'MAX_SIG_LENGTH'}        ||= 300;

    # Update the Boardinfo.pm file

    iB::make_module( FILE     => "Boardinfo.pm",
                     PKG_NAME => 'Boardinfo',
                     VALUES   => $OAP
                     );

    print $iB::Q->header();
    print $iB::Q->start_html();
    print "Upgrade completed. Please log into your admin center and reset your emoticon customizations";
    print $iB::Q->end_html();

}


sub bored {
    print $iB::Q->header();
    print $iB::Q->start_html();
    print "Click <a href='upgrade.cgi?CAPTAIN=Picard'>here</a> to begin.<br>Please note, your emoticon customizations will be lost";
    print $iB::Q->end_html();

}



sub make_module {

    my %IN = ( FILE     => "",
               PKG_NAME => "",
               PATH     => "",
               VALUES   => {},
               @_,
             );

    my $data = $IN{'VALUES'};
    $IN{'PATH'} ||= $iB::INFO->{'IKON_DIR'}.'Data/';
    my $file = $IN{'PATH'}.$IN{'FILE'};
    my $back = $IN{'PATH'}.'Data/bak.'.$IN{'FILE'};

    if (-e $file) {

       
        # Create Back-up

        open BAK, "<" .$file or die "Cannot open $file ($!)";
        my @data = <BAK>;
        close BAK;

        open BAK, ">" . $back;
        print BAK @data;
        close BAK;
    }

    # Create Module

    open (FH, ">" .$file) or die "Cannot write to $file ($!)";
    if ($iB::INFO->{'FLOCK'}) {
        flock (FH, 2) or die "Could not lock $file ($!)";
    }

print FH <<_END_PRINT_;
package $IN{'PKG_NAME'};
  
  sub new {
    my \$pkg = shift;
    my \$obj = {
_END_PRINT_

  foreach (sort { $a cmp $b } keys %{$data}) {
    $_ =~ s!'!\\'!g;
    my $space = " " x (20 - (length($_)));
    if (ref($data->{$_}) eq 'ARRAY') {
        print FH qq|        '$_' $space => [|;
        for my $i (@{ $data->{$_} }) {
            print FH qq| "$i",|;
        }
        print FH qq|],\n|;
    } else {
print FH <<_END_PRINT_;
        '$_' $space => q!$data->{$_}!,
_END_PRINT_

    }
  }

print FH <<_END_PRINT_;
    };
    bless \$obj, \$pkg;
    return \$obj;
 }

 1;
_END_PRINT_

  close FH or die $!;

  chmod (0644, $file);
}

