package Misc::Cookies;
use strict;
#################################################################################
# Ikonboard v3 by Jarvis Entertainment Group, Inc.
#
# No parts of this script can be used outside Ikonboard without prior consent.
#
# More information available from <ib-license@jarvisgroup.net>
# (c)2001 Jarvis Entertainment Group, Inc.
# 
# http://www.ikonboard.com
#
# Please Read the license for more information
#+-----------------------------------------------------------------+
#
# 
#
#################################################################################

BEGIN {
   require 'Lib/FUNC.pm';
}

my $std         = FUNC::STD->new();
my $output      = FUNC::Output->new();


sub new {
  my $pkg = shift;
  my $obj = {};
  bless $obj, $pkg;
  return $obj;
}


sub Process {
    my ($obj, $db) = @_;
    my $toilets = 'Cookies';
    for (keys %{$iB::COOKIES}) {
        next unless /$iB::INFO->{'COOKIE_ID'}/;
        push @{$iB::SETCOOKIE},$iB::CGI->cookie( NAME => $_, VALUE => '-', EXPIRES=>'-1d', PATH => $iB::INFO->{'COOKIE_PATH'} );
    
    }

    $output->redirect_screen( TEXT  => 'Your $toilets have been flushed', URL => "");

}

1;


__END__
