#!/usr/bin/perl
package iB;

#
# Convertor to fix the 'Posting Permissions removed' bug.
#


#+------------------------------------------------------------------------------------------------------
#| Ikonboard by Matthew Mecham [ v3.0 ]
#|
#| No parts of this script can be used outside Ikonboard without prior consent.
#| You must keep this header intact and all copyright links visable.
#| (c)2001 Ikonboard.com <http://www.ikonboard.com>
#|
#| Please Read the licence for more information.
#+------------------------------------------------------------------------------------------------------

use strict;

BEGIN {
    use Cwd;
    my $cwd = cwd();
    $iB::PTH = $cwd;
    unshift (@INC, "$iB::PTH");
    unshift (@INC, "$iB::PTH/Data");
    unshift (@INC, "$iB::PTH/Sources");
    unshift (@INC, "$iB::PTH/Skin");
    unshift (@INC, "$iB::PTH/Languages");
    unshift (@INC, "$iB::PTH/Sources/Lib");
    
}
#+------------------------------------------------------------------------------------------------------
use CGI;
use CGI::Carp "fatalsToBrowser";
$iB::Q = new CGI;

use Boardinfo;
$iB::INFO = Boardinfo->new();




    if ($iB::Q->param('act') eq 'run') {

        iB::run();

    } else {

        iB::show();
    }




sub show {
    print $iB::Q->header();
    print $iB::Q->start_html();

    print qq~<b><font size=4>Member Convertor</font></b>
             <br><br><font size='3'>This convertor will enable posting permissions on all of your members
             <br>There was a bug in build 2 that removed posting permissions on all new members, this wasn't
             an issue until the checking code was added in build 3
             <br><br>
             <a href='mem_convert.cgi?act=run'>Convert members</a>
            ~;
    print $iB::Q->end_html();
}


sub run {

    require "iDatabase/DBM.pm" or die $!;
    my $db = iDatabase->new(DB_DIR => $iB::INFO->{'DB_DIR'} );

    my $count = 0;

    print $iB::Q->header();
    print $iB::Q->start_html();

    print qq!<b><font size=4>Member Convertor Output</font></b><br>!;

    my $members = $db->query( TABLE => 'member_profiles',
                              WHERE => "ALLOW_POST != 1",
                            );

    for my $m (@{$members}) {
        $db->update( TABLE  => 'member_profiles',
                     ID     => $m->{'MEMBER_ID'},
                     KEY    => $m->{'MEMBER_ID'},
                     VALUES => { ALLOW_POST => 1 }
                   );
        ++$count;
        print "$m->{'MEMBER_NAME'} can now post...<br>";
    }

    print "All done, $count members updated";
    print $iB::Q->end_html();
}
